package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.EvaluactionVideoComposite;

public class EvaluationVideoAction extends Action {
	public void run() {
		ActionListener listener = this.getListener();
		if (null == listener) return;
		listener.onLoad(this);
		Composite composite = listener.getParentComposite();
		composite.setData("tenderProjectEntity", this.getTenderProject());
		EvaluactionVideoComposite compoiste = new EvaluactionVideoComposite(composite, SWT.NONE);
		listener.loadComposite(this, compoiste);
	}
}
